Subject: Re: [PATCH 2/9] commit-graph: stop using signed integers to count bloom filters

From: Oswald Buddenhagen <[email-masked]>
Date: Mon, 4 Aug 2025 11:13:28 +0200

On Mon, Aug 04, 2025 at 10:17:18AM +0200, Patrick Steinhardt wrote:
>When writing a new commit graph we have a couple of counters that
>provide statistics around what kind of bloom filters we have or have not
>written. These counters naturally count from zero and are only ever
>incremented, but they use a signed integer as type regardless.
>
>Refactor those fields to be of type `size_t` instead.
>
mind elaborating on that choice?
it feels like abuse at the semantic level, and it increases the data 
size on lp64 platforms. is it even compatible with OPT_UNSIGNED (in 
later commits)? that would be unexpected ...